%global gem_name net-ldap

Summary:        A full-featured pure-Ruby LDAP client
# TODO: consider renaming to rubygem-net-ldap
Name:           rubygem-ruby-%{gem_name}
Version:        0.2.2
Release:        5%{?dist}
Group:          Development/Languages
License:        GPLv2+
URL:            http://rubyforge.org/projects/net-ldap/
Source0:        http://rubyforge.org/frs/download.php/74548/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires:       ruby(abi) = 1.9.1
BuildRequires: rubygems-devel
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
This project will be the focus of development for a pure Ruby
LDAP environment. A full-featured pure-Ruby LDAP client is now
available.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force %{SOURCE0}

%check
pushd %{buildroot}/%{gem_instdir}/
# TODO: specs require metaid gem
testrb -Ilib test
popd

%files
%exclude %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gemtest
%exclude %{gem_instdir}/.rspec
%doc %{gem_docdir}
%dir %{gem_instdir}
%doc %{gem_instdir}/Contributors.rdoc
%doc %{gem_instdir}/Hacking.rdoc
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/License.rdoc
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/README.rdoc
%{gem_libdir}
%{gem_instdir}/autotest
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/testserver
%{gem_cache}
%{gem_spec}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 14 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.0.4-4
- Remove obsoletes header

* Tue Nov 17 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.0.4-3
- Fix license

* Sat Nov 14 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.0.4-2
- Review

* Mon Mar 09 2009 Sandro Janke <s.janke@ogd.nl> - 0.0.4-1
- Initial package
